# class ISDNQ931State | Q.931 ISDN call and call controller state. More...
Full name | `TelEngine::ISDNQ931State`
Definition | `#include <libs/ysig/yatesig.h>`
Inherited by | ISDNQ931Call, ISDNQ931CallMonitor
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum State { Null = 0x00, CallInitiated = 0x01, OverlapSend = 0x02, OutgoingProceeding = 0x03, CallDelivered = 0x04, CallPresent = 0x06, CallReceived = 0x07, ConnectReq = 0x08, IncomingProceeding = 0x09, Active = 0x0a, DisconnectReq = 0x0b, DisconnectIndication = 0x0c, SuspendReq = 0x0f, ResumeReq = 0x11, ReleaseReq = 0x13, CallAbort = 0x16, OverlapRecv = 0x19, RestartReq = 0x3d, Restart = 0x3e, }

#### Public Methods

- inline ISDNQ931State ()
- inline State state () const

#### Public Static Methods

- static const char* stateName (u_int8_t s)

#### Public Members

- static const TokenDict s_states[]

#### Protected Methods

- bool checkStateRecv (int type, bool* retrans)
- bool checkStateSend (int type)

#### Protected Members

- State m_state

## Detailed Description

Q.931 ISDN call and call controller state

enum State { Null = 0x00, CallInitiated = 0x01, OverlapSend = 0x02, OutgoingProceeding = 0x03, CallDelivered = 0x04, CallPresent = 0x06, CallReceived = 0x07, ConnectReq = 0x08, IncomingProceeding = 0x09, Active = 0x0a, DisconnectReq = 0x0b, DisconnectIndication = 0x0c, SuspendReq = 0x0f, ResumeReq = 0x11, ReleaseReq = 0x13, CallAbort = 0x16, OverlapRecv = 0x19, RestartReq = 0x3d, Restart = 0x3e, } | ### State

Call and call controller state enumeration values

inline ISDNQ931State () | ### ISDNQ931State

Constructor

inline State state () | ### state

[const]

Get the state

Returns: The state as enumeration

const char* stateName (u_int8_t s) | ### stateName

[static]

Get the text associated with a given state value

Parameters:

s | The requested state value

Returns: The text associated with the given state value or 0

static const TokenDict s_states[] | ### s_states[]

bool checkStateRecv (int type, bool* retrans) | ### checkStateRecv

[protected]

Check if a received message type is valid in the current call state

Parameters:

type | The type of the received message
retrans | Optional flag to set on failure if the message is a retransmission

Returns: False if the message is not valid in the current call state

bool checkStateSend (int type) | ### checkStateSend

[protected]

Check if a message is allowed to be sent in the current call state

Parameters:

type | The type of the received message

Returns: False if the message is not valid in the current call state

State m_state | ### m_state

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.